| Fast CDR Version 2.3.6 Fast CDR

Loading...
Searching...
No Matches
optional_storage< T, typename std::enable_if< std::is_trivially_destructible< T >::value >::type > Struct Template Reference

`#include <optional.hpp>`

## Public Member Functions

| optional_storage ()
| ~optional_storage ()=default

## Public Attributes

union eprosima::fastcdr::detail::optional_storage< T, typename std::enable_if< std::is_trivially_destructible< T >::value >::type >:: { ... } |
bool | engaged_ { false }
union { |
char dummy_ |
T val_ |
}; |

## Constructor & Destructor Documentation

## ◆ optional_storage()

template<class T>

optional_storage | ( |  | ) |

inline

## ◆ ~optional_storage()

template<class T>

~optional_storage | ( |  | ) |

default

## Member Data Documentation

## ◆ []

union eprosima::fastcdr::detail::optional_storage< T, typename std::enable_if< std::is_trivially_destructible< T >::value >::type > { ... }

## ◆ [union]

union { ... }

## ◆ dummy_

template<class T>

char dummy_

## ◆ engaged_

template<class T>

bool engaged_ { false }

## ◆ val_

template<class T>

T val_

The documentation for this struct was generated from the following file:

- include/fastcdr/xcdr/detail/optional.hpp